ru.bitel.bgbilling.modules.voice.api.common.bean

## Enum VoiceSessionFilter.CallType

- java.lang.Object
- - java.lang.Enum<VoiceSessionFilter.CallType>
  - - ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceSessionFilter.CallType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VoiceSessionFilter.CallType>
  Enclosing class:
    VoiceSessionFilter

      public static enum VoiceSessionFilter.CallType
      extends java.lang.Enum<VoiceSessionFilter.CallType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `INCOMING`
    `OUTGOING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VoiceSessionFilter.CallType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VoiceSessionFilter.CallType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final VoiceSessionFilter.CallType ALL

    - #### INCOMING

          public static final VoiceSessionFilter.CallType INCOMING

    - #### OUTGOING

          public static final VoiceSessionFilter.CallType OUTGOING

  - ### Method Detail

    - #### values

          public static VoiceSessionFilter.CallType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VoiceSessionFilter.CallType c : VoiceSessionFilter.CallType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VoiceSessionFilter.CallType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null